Consultar lista de locations de recorrência
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/brcode/locrec \
--header 'Authorization: Bearer <token>'import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/locrec"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/locrec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"loc": [
{
"criacao": "<string>",
"id": 123,
"location": "<string>",
"tipo": "rec",
"idRec": "<string>"
}
],
"parametros": {
"fim": "<string>",
"inicio": "<string>",
"paginacao": {
"itensPorPagina": 123,
"paginaAtual": 123,
"quantidadeDePaginas": 123,
"quantidadeTotalDeItens": 123
}
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Consultar lista de locations de recorrência
Lista locations de recorrência por início, fim e idRecPresente. API Pix GET /locrec.
GET
/
api
/
v1
/
brcode
/
locrec
Consultar lista de locations de recorrência
Autorizações
JWT bearer token issued by the identity provider.
Parâmetros de consulta
Início do filtro de criação (RFC 3339).
Fim do filtro de criação (RFC 3339).
Filtra por locations com (ou sem) idRec vinculado (true/false).
Página a ser retornada (0-based).
Intervalo obrigatório:
x >= 0Itens por página (1..1000).
Intervalo obrigatório:
1 <= x <= 1000Esta página foi útil?

